<xsl:stylesheet
   version="2.0"
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
>


<!--
   Name:  FGDC2mif_IncomingAddress.xsl
   Author:  Matthew J. McCready
   Date:  20120816
   Description:  The master XSLT stylesheet that directs the transformation of
                  a FGDC input file in the IncomingAddress format into a mif file
   Modification History:
      Initial   Date      Change Request ID   Description
      MMC       20070115   N/A                Initial Version
      MMC       20120816   N/A                Copied from the FGDC2mif_vector.xsl stylesheet and modified to adhere to the IncomingAddress Profile. These changes
                                               include using the idinfo_IncomingAddres, dataqual_IncomingAddress and metainfo_IncomingAddress templates. 
-->









   <xsl:import href="01_idinfoIncomingAddress.xsl"/>
   <xsl:import href="02_dataqual_IncomingAddress.xsl"/>
   <xsl:import href="03_spdoinfo.xsl"/>
  <xsl:import href="04_spref.xsl"/>
    <xsl:import href="05_eainfo.xsl"/>
   <xsl:import href="06_distinfo.xsl"/>
  <xsl:import href="07_metainfo_IncomingAddress.xsl"/>

   <xsl:output method="xml" version="1.0" encoding="ISO-8859-1" indent="yes"/>

   <xsl:strip-space elements="*"/>

   <xsl:template match="/">
     <xsl:element name="MIF">
     <xsl:attribute name ="profile_type">IncomingAddress</xsl:attribute>
       <xsl:if test="metadata/idinfo">
         <xsl:call-template name="idinfo_IncomingAddress" />
       </xsl:if>
      
      <!-- <xsl:if test="/metadata/dataqual"> -->
<xsl:comment> Calling the data qualtiy template dataqual_IncomingAddress </xsl:comment>         
<xsl:call-template name="dataqual_IncomingAddress" />
      <!--  </xsl:if> -->
       <xsl:if test="/metadata/spdoinfo">
         <xsl:call-template name="spdoinfo" />
       </xsl:if>
        <xsl:if test="/metadata/spref">
         <xsl:call-template name="spref" />
       </xsl:if>
       <xsl:if test="/metadata/eainfo">
         <xsl:call-template name="eainfo" />
       </xsl:if>
     <!-- <xsl:if test="/metadata/distinfo">
         <xsl:call-template name="distinfo" />
       </xsl:if> -->
      <xsl:if test="/metadata/metainfo">
         <xsl:call-template name="metainfo_IncomingAddress" />
       </xsl:if>
     </xsl:element>
   </xsl:template>

</xsl:stylesheet>
